# Gimp.Layer

    from gi.repository import Gimp

    layer = Gimp.Layer()

Operations on a single layer.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Drawable
      - Gimp.Layer

## Methods

- Gimp.Layer.add_alpha
- Gimp.Layer.add_mask
- Gimp.Layer.copy
- Gimp.Layer.create_mask
- Gimp.Layer.flatten
- Gimp.Layer.get_apply_mask
- Gimp.Layer.get_blend_space
- Gimp.Layer.get_composite_mode
- Gimp.Layer.get_composite_space
- Gimp.Layer.get_edit_mask
- Gimp.Layer.get_lock_alpha
- Gimp.Layer.get_mask
- Gimp.Layer.get_mode
- Gimp.Layer.get_opacity
- Gimp.Layer.get_show_mask
- Gimp.Layer.is_floating_sel
- Gimp.Layer.remove_mask
- Gimp.Layer.resize
- Gimp.Layer.resize_to_image_size
- Gimp.Layer.scale
- Gimp.Layer.set_apply_mask
- Gimp.Layer.set_blend_space
- Gimp.Layer.set_composite_mode
- Gimp.Layer.set_composite_space
- Gimp.Layer.set_edit_mask
- Gimp.Layer.set_lock_alpha
- Gimp.Layer.set_mode
- Gimp.Layer.set_offsets
- Gimp.Layer.set_opacity
- Gimp.Layer.set_show_mask

## Static Functions

- Gimp.Layer.from_mask
- Gimp.Layer.get_by_id

## Virtual functions

- Gimp.Layer::copy

## Fields

- Gimp.Layer->parent_instance